@echo off
echo 程序文件文件更新前，确保服务器已停止服务。更新目录“D:\Mirserver”！
echo 默认更新到“D:\Mirserver”，如果是其他盘，请使用鼠标右键，
echo 点击该文件，然后点编辑，修改里面的路径
pause

set WSDir=D:\MirServer
Copy Mir200\M2Server.exe %WSDir%\Mir200\ /y
Copy Mir200\M2Server.map %WSDir%\Mir200\ /y
Copy Mir200\RunGate.dll %WSDir%\Mir200\ /y
Copy Mir200\Setup.json %WSDir%\Mir200\ /y
Copy DBServer\DBServer.exe %WSDir%\DBServer\ /y
Copy LoginGate\LoginGate.exe %WSDir%\LoginGate\ /y
Copy LoginSrv\hmacsh1.dll %WSDir%\LoginSrv\ /y
Copy LoginSrv\libeay32.dll %WSDir%\LoginSrv\ /y
Copy LoginSrv\LoginSrv.exe %WSDir%\LoginSrv\ /y
Copy RunGate\RunGate.exe %WSDir%\RunGate\ /y
Copy RunGate\RunGate.dll %WSDir%\RunGate\ /y
Copy SelGate\SelGate.exe %WSDir%\SelGate\ /y
Copy GameCenter.exe %WSDir%\ /y
Copy 996M2引擎帮助文档.chm %WSDir%\ /y
echo 程序文件文件已更新完成. . .
pause